---
name: Bug Report
about: Something isn't working like it's supposed to
title: "[Bug]: "
labels: bug
---

> _Thanks for helping squash bugs in HapLink! :smile: This template is rather
> extensive. Please fill out all that you can, but remember that this template
> is only a tool: if you feel that anything is not relevant, simply leave it
> blank._

## Behavior

### Expected Behavior

Tell us what you expected to happen

### Current Behavior

Tell us what actually happened

## Steps to Reproduce

**Make sure to fill in at least one of the following!**

### File(s) that cause bug

Please drag and drop (i.e. upload to the GitHub issue) the exact files that are
causing the problem. If needed, you can zip/tarball them first.

### Shell command that causes bug

Enter the command(s) used to produce the bug on the command line without command
output

### REPL command that causes bug

Enter the Julia code used to produce the bug in the REPL without prompt or
output

## More Info

### Context

Tell us what you are trying to accomplish and/or how this bug affects users in
the "real world."

### Possible Solution

**(Highly optional, but highly useful.)** If you can figure out a design
decision or a particular function call that is causing the bug, explain here.
Even better, if you know a way to fix it, but don't want to open a pull request,
then explain the fix here.

## Environment

- OS and version:
- Julia version:
- Julia install method:
- HapLink version:
- HapLink usage method(s):
  - [ ] Command line
  - [ ] Julia REPL
